Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.quartz
Class JobExecutionException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              org.quartz.SchedulerException
                  org.quartz.JobExecutionException

All Implemented Interfaces:
  Serializable

    public class JobExecutionException

extends SchedulerException

An exception that can be thrown by a ``Job`` to indicate to the Quartz ``Scheduler`` that an error occurred while executing, and whether or not the `Job` requests to be re-fired immediately (using the same ``JobExecutionContext``, or whether it wants to be unscheduled.

Note that if the flag for 'refire immediately' is set, the flags for unscheduling the Job are ignored.

Author:
  James House
See Also:
  `Job`, `JobExecutionContext`, `SchedulerException`, Serialized Form

Field Summary

Fields inherited from class org.quartz.SchedulerException
`ERR_BAD_CONFIGURATION, ERR_CLIENT_ERROR, ERR_COMMUNICATION_FAILURE, ERR_JOB_EXECUTION_THREW_EXCEPTION, ERR_JOB_LISTENER, ERR_JOB_LISTENER_NOT_FOUND, ERR_PERSISTENCE, ERR_PERSISTENCE_CALENDAR_DOES_NOT_EXIST, ERR_PERSISTENCE_CRITICAL_FAILURE, ERR_PERSISTENCE_JOB_DOES_NOT_EXIST, ERR_PERSISTENCE_TRIGGER_DOES_NOT_EXIST, ERR_THREAD_POOL, ERR_THREAD_POOL_CRITICAL_FAILURE, ERR_THREAD_POOL_EXHAUSTED, ERR_TIME_BROKER_FAILURE, ERR_TRIGGER_LISTENER, ERR_TRIGGER_LISTENER_NOT_FOUND, ERR_TRIGGER_THREW_EXCEPTION, ERR_UNSPECIFIED, ERR_UNSUPPORTED_FUNCTION_IN_THIS_CONFIGURATION`

Constructor Summary
`JobExecutionException()` Create a JobExcecutionException, with the 're-fire immediately' flag set to `false`.
`JobExecutionException(boolean refireImmediately)` Create a JobExcecutionException with the 're-fire immediately' flag set to the given value.
`JobExecutionException(String msg)` Create a JobExcecutionException, with the given message.
`JobExecutionException(String msg, boolean refireImmediately)` Create a JobExcecutionException with the given message and the 're-fire immediately' flag set to the given value.
`JobExecutionException(String msg, Throwable cause)` Create a JobExcecutionException with the given message, and underlying exception.
`JobExecutionException(String msg, Throwable cause, boolean refireImmediately)` Create a JobExcecutionException with the given message, and underlying exception, and the 're-fire immediately' flag set to the given value.
`JobExecutionException(Throwable cause)` Create a JobExcecutionException, with the given cause.
`JobExecutionException(Throwable cause, boolean refireImmediately)` Create a JobExcecutionException with the given underlying exception, and the 're-fire immediately' flag set to the given value.

Method Summary
`boolean` | `refireImmediately()`
`void` | `setRefireImmediately(boolean refire)`
`void` | `setUnscheduleAllTriggers(boolean unscheduleAllTriggs)`
`void` | `setUnscheduleFiringTrigger(boolean unscheduleTrigg)`
`boolean` | `unscheduleAllTriggers()`
`boolean` | `unscheduleFiringTrigger()`

Methods inherited from class org.quartz.SchedulerException
`getErrorCode, getUnderlyingException, isClientError, isConfigurationError, isJobListenerError, isPersistenceError, isThreadPoolError, isTriggerListenerError, setErrorCode, toString`

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### JobExecutionException

    public JobExecutionException()

  Create a JobExcecutionException, with the 're-fire immediately' flag set to `false`.

### JobExecutionException

    public JobExecutionException(Throwable cause)

  Create a JobExcecutionException, with the given cause.

### JobExecutionException

    public JobExecutionException(String msg)

  Create a JobExcecutionException, with the given message.

### JobExecutionException

    public JobExecutionException(boolean refireImmediately)

  Create a JobExcecutionException with the 're-fire immediately' flag set to the given value.

### JobExecutionException

    public JobExecutionException(Throwable cause,
                                 boolean refireImmediately)

  Create a JobExcecutionException with the given underlying exception, and the 're-fire immediately' flag set to the given value.

### JobExecutionException

    public JobExecutionException(String msg,
                                 Throwable cause)

  Create a JobExcecutionException with the given message, and underlying exception.

### JobExecutionException

    public JobExecutionException(String msg,
                                 Throwable cause,
                                 boolean refireImmediately)

  Create a JobExcecutionException with the given message, and underlying exception, and the 're-fire immediately' flag set to the given value.

### JobExecutionException

    public JobExecutionException(String msg,
                                 boolean refireImmediately)

  Create a JobExcecutionException with the given message and the 're-fire immediately' flag set to the given value.

Method Detail

### setRefireImmediately

    public void setRefireImmediately(boolean refire)

### refireImmediately

    public boolean refireImmediately()

### setUnscheduleFiringTrigger

    public void setUnscheduleFiringTrigger(boolean unscheduleTrigg)

### unscheduleFiringTrigger

    public boolean unscheduleFiringTrigger()

### setUnscheduleAllTriggers

    public void setUnscheduleAllTriggers(boolean unscheduleAllTriggs)

### unscheduleAllTriggers

    public boolean unscheduleAllTriggers()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 2001-2012, Terracotta, Inc.